TestNs\MyApp\ConventionalElementType:
    properties:
        crmId:
            expose: true
            access_type: public_method
            serialized_name: crmId
            accessor:
                getter: getCrmId
                setter: setCrmId
            xml_attribute: true
            type: int
        name:
            expose: true
            access_type: public_method
            serialized_name: name
            accessor:
                getter: getName
                setter: setName
            xml_attribute: true
            type: string
        pgrhId:
            expose: true
            access_type: public_method
            serialized_name: pgrhId
            accessor:
                getter: getPgrhId
                setter: setPgrhId
            xml_attribute: true
            type: int
        parent:
            expose: true
            access_type: public_method
            serialized_name: parent
            accessor:
                getter: getParent
                setter: setParent
            type: TestNs\MyApp\ConventionalElementType
